Patchwork [2011.03-maintenance] Pull request 20120514

login
register
mail settings
Submitter chase maupin
Date May 14, 2012, 6:09 p.m.
Message ID <1337018980-29630-1-git-send-email-Chase.Maupin@ti.com>
Download mbox
Permalink /patch/27731/
State Accepted
Delegated to: Tom Rini
Headers show

Pull-request

http://arago-project.org/git/projects/arago-oe-amsdk.git update-licenses

Comments

chase maupin - May 14, 2012, 6:09 p.m.
Tom,

Please pull the following commits that update the LICENSE field to
list the actual license version for licenses like GPL and LGPL.  These
patches have previously been sent to the list with each patch identifying
where it was derived from.  I have also submitted patches for oe-core where
appropriate.

I'm looking for feedback on how to properly mark a package as having two
licenses in oe-classic since "&" causes issues.  If these patches are OK
then they can be pulled.  If there is a better way to mark the dual licensing
then I'll update them accordingly.

The following changes since commit 36a56cbb69cda0c89f478e01183d61c6a66525c9:
  Steffen Sledz (1):
        icedtea6-native-1.7.10: backport S7103224

are available in the git repository at:

  http://arago-project.org/git/projects/arago-oe-amsdk.git update-licenses

Chase Maupin (69):
      gnutls: update LICENSE setting
      libtasn1: update LICENSE setting
      bonnie: Update LICENSE field version
      canutils: Update LICENSE field version
      debianutils: Update LICENSE field version
      gtk+: Update LICENSE field version for 2.20.1
      gnome-keyring: Update LICENSE field version
      gnome-vfs: Update LICENSE field version
      hicolor-icon-theme: Update LICENSE field version
      hostap-daemon: Update LICENSE field version
      liba52: Update LICENSE field version
      atk: Update LICENSE field version
      audiofile: Update LICENSE field version
      avahi: Update LICENSE field version
      cairo: Update LICENSE field version
      libcap2: Update LICENSE field version
      libcroco: Update LICENSE field version
      esound: Update LICENSE field version
      faac: Update LICENSE field version
      faad2: Update LICENSE field version
      flac: Update LICENSE field version
      libgcrypt: Update LICENSE field version
      gdbm: Update LICENSE field version
      libgpg-error: Update LICENSE field version
      libical: Update LICENSE field version
      libid3tag: Update LICENSE field version
      libidl: Update LICENSE field version
      libmad: Update LICENSE field version
      libmodplug: Update LICENSE field version
      lame: Update LICENSE field version
      mpeg2dec: Update LICENSE field version
      mysql5: Update LICENSE field version
      libnl: Update LICENSE field version
      libproxy: Update LICENSE field version
      librsvg: Update LICENSE field version
      libsamplerate0: Update LICENSE field version
      schroedinger: Update LICENSE field version
      libsdl: Update LICENSE field version
      libsidplay: Update LICENSE field version
      libsndfile1: Update LICENSE field version
      libsocketcan: Update LICENSE field version
      libsoup-2.4: Update LICENSE field version
      libvisual: Update LICENSE field version
      x264: Update LICENSE field version
      libxv: Update LICENSE field version
      lmbench: Update LICENSE field version
      makedevs: Update LICENSE field version
      nfs-utils: Update LICENSE field version
      orbit2: Update LICENSE field version
      pango: Update LICENSE field version
      shared-mime-info: Update LICENSE field version
      wireless-tools: Update LICENSE field version
      gnome-common: Update LICENSE field version
      cups: Update LICENSE field version
      gnome-mime-data: Update LICENSE field version
      gtk-doc: Update LICENSE field version
      intltool: Update LICENSE field version
      libart-lgpl: Update LICENSE field version
      libdaemon: Update LICENSE field version
      libdiscid: Update LICENSE field version
      libglade: Update LICENSE field version
      libmikmod: Update LICENSE field version
      libmusicbrainz: Update LICENSE field version
      neon: Update LICENSE field version
      libnfnetlink: Update LICENSE field version
      python-pycairo: Update LICENSE field version
      python-pygobject: Update LICENSE field version
      python-pygtk: Update LICENSE field version
      time: Update LICENSE field version

 recipes/atk/atk_1.30.0.bb                          |    4 ++--
 recipes/audiofile/audiofile_0.2.6.bb               |    4 ++--
 recipes/avahi/avahi.inc                            |    4 ++--
 recipes/bonnie/bonnie++.inc                        |    3 ++-
 recipes/cairo/cairo_1.10.0.bb                      |    4 +++-
 recipes/cups/cups_1.2.12.bb                        |    4 ++--
 recipes/debianutils/debianutils.inc                |    4 ++--
 recipes/esound/esound_0.2.36.bb                    |    4 ++--
 recipes/faac/faac_1.24.bb                          |    4 ++--
 recipes/faad2/faad2_2.7.bb                         |    4 +++-
 recipes/flac/flac_1.2.1.bb                         |    4 +++-
 recipes/gdbm/gdbm_1.8.3.bb                         |    4 ++--
 recipes/gnome/gnome-common.inc                     |    2 +-
 recipes/gnome/gnome-common_2.28.0.bb               |    2 ++
 recipes/gnome/gnome-keyring_2.28.2.bb              |    4 ++--
 recipes/gnome/gnome-mime-data_2.18.0.bb            |    4 ++--
 recipes/gnome/gnome-vfs_2.24.1.bb                  |    4 ++--
 recipes/gnome/libart-lgpl.inc                      |    4 ++--
 recipes/gnome/libproxy_0.2.3.bb                    |    4 ++--
 recipes/gnome/libsoup-2.4_2.32.2.bb                |    4 +++-
 recipes/gnome/orbit2_2.14.17.bb                    |    4 ++++
 recipes/gnutls/gnutls.inc                          |   10 +++++++---
 recipes/gnutls/libtasn1_1.7.bb                     |    8 +++++---
 recipes/gtk+/gtk+_2.20.1.bb                        |    4 +++-
 recipes/gtk-doc/gtk-doc.bb                         |    4 ++--
 .../hicolor-icon-theme/hicolor-icon-theme_0.11.bb  |    4 ++--
 recipes/hostap/hostap-daemon-0.7.inc               |    2 +-
 recipes/hostap/hostap-daemon_0.7.3.bb              |    2 +-
 recipes/intltool/intltool.inc                      |    4 ++--
 recipes/lame/lame_3.98.2.bb                        |    4 ++--
 recipes/liba52/liba52_0.7.4.bb                     |    4 ++--
 recipes/libcap/libcap2_2.20.bb                     |    4 ++--
 recipes/libcroco/libcroco_0.6.2.bb                 |    4 +++-
 recipes/libdaemon/libdaemon_0.13.bb                |    4 ++--
 recipes/libdiscid/libdiscid.inc                    |    2 +-
 recipes/libdiscid/libdiscid_0.2.2.bb               |    2 ++
 recipes/libgcrypt/libgcrypt_1.4.1.bb               |    4 ++++
 recipes/libglade/libglade_2.6.4.bb                 |    4 ++++
 recipes/libgpg-error/libgpg-error_1.4.bb           |    4 +++-
 recipes/libical/libical_0.44.bb                    |    4 ++--
 recipes/libid3tag/libid3tag_0.15.1b.bb             |    4 ++--
 recipes/libidl/libidl-native_0.8.13.bb             |    2 +-
 recipes/libidl/libidl.inc                          |    2 +-
 recipes/libidl/libidl_0.8.13.bb                    |    2 +-
 recipes/libmad/libmad_0.15.1b.bb                   |    4 ++--
 recipes/libmikmod/libmikmod_3.1.12.bb              |    4 ++--
 recipes/libmodplug/libmodplug_0.8.7.bb             |    4 ++--
 recipes/libnfnetlink/libnfnetlink_1.0.0.bb         |    4 +++-
 recipes/libnl/libnl_2.0.bb                         |    5 ++++-
 recipes/librsvg/librsvg_2.26.2.bb                  |    4 ++--
 recipes/libsamplerate/libsamplerate0_0.1.7.bb      |    4 ++--
 recipes/libsdl/libsdl-1.2.14.inc                   |    4 ++--
 recipes/libsidplay/libsidplay_1.36.59.bb           |    4 ++--
 recipes/libsndfile/libsndfile1_1.0.24.bb           |    4 ++--
 recipes/libvisual/libvisual_0.4.0.bb               |    4 ++--
 recipes/lmbench/lmbench_3.0-a9.bb                  |    4 ++--
 recipes/makedevs/makedevs_1.0.0.bb                 |    4 ++--
 recipes/mpeg2dec/mpeg2dec_0.4.0b.bb                |    4 ++--
 recipes/musicbrainz/libmusicbrainz.inc             |    2 +-
 recipes/musicbrainz/libmusicbrainz_3.0.2.bb        |    2 +-
 recipes/mysql/mysql5_5.1.40.inc                    |    4 ++--
 recipes/neon/neon_0.25.5.bb                        |    4 ++--
 recipes/nfs-utils/nfs-utils_1.1.2.bb               |    4 ++--
 recipes/pango/pango_1.24.4.bb                      |    4 +++-
 recipes/python/python-pycairo_1.8.0.bb             |    4 ++--
 recipes/python/python-pygobject_2.20.0.bb          |    4 ++--
 recipes/python/python-pygtk_2.16.0.bb              |    4 ++--
 recipes/schroedinger/schroedinger_1.0.9.bb         |    4 +++-
 recipes/shared-mime-info/shared-mime-info_0.51.bb  |    4 +++-
 recipes/socketcan/canutils.inc                     |    4 ++--
 recipes/socketcan/libsocketcan.inc                 |    4 ++--
 recipes/time/time.inc                              |    4 ++--
 recipes/vlc/x264_r2245.bb                          |    4 ++--
 recipes/wireless-tools/wireless-tools.inc          |    2 +-
 recipes/wireless-tools/wireless-tools_29.bb        |    2 +-
 recipes/xorg-lib/libxv_1.0.6.bb                    |    4 ++--
 76 files changed, 168 insertions(+), 120 deletions(-)
Denys Dmytriyenko - May 14, 2012, 7:44 p.m.
On Mon, May 14, 2012 at 01:09:40PM -0500, Chase Maupin wrote:
> Tom,
> 
> Please pull the following commits that update the LICENSE field to
> list the actual license version for licenses like GPL and LGPL.  These
> patches have previously been sent to the list with each patch identifying
> where it was derived from.  I have also submitted patches for oe-core where
> appropriate.
> 
> I'm looking for feedback on how to properly mark a package as having two
> licenses in oe-classic since "&" causes issues.  If these patches are OK
> then they can be pulled.  If there is a better way to mark the dual licensing
> then I'll update them accordingly.

As far as I recall, we don't use "&" in oe-classic for dual licenses.


> The following changes since commit 36a56cbb69cda0c89f478e01183d61c6a66525c9:
>   Steffen Sledz (1):
>         icedtea6-native-1.7.10: backport S7103224
> 
> are available in the git repository at:
> 
>   http://arago-project.org/git/projects/arago-oe-amsdk.git update-licenses

Also the same in different format:

Pull URL: git://arago-project.org/git/projects/arago-oe-amsdk.git
  Branch: update-licenses
  Browse: http://arago-project.org/git/projects/?p=arago-oe-amsdk.git;a=shortlog;h=refs/heads/update-licenses


Acked-by: Denys Dmytriyenko <denys@ti.com>


> Chase Maupin (69):
>       gnutls: update LICENSE setting
>       libtasn1: update LICENSE setting
>       bonnie: Update LICENSE field version
>       canutils: Update LICENSE field version
>       debianutils: Update LICENSE field version
>       gtk+: Update LICENSE field version for 2.20.1
>       gnome-keyring: Update LICENSE field version
>       gnome-vfs: Update LICENSE field version
>       hicolor-icon-theme: Update LICENSE field version
>       hostap-daemon: Update LICENSE field version
>       liba52: Update LICENSE field version
>       atk: Update LICENSE field version
>       audiofile: Update LICENSE field version
>       avahi: Update LICENSE field version
>       cairo: Update LICENSE field version
>       libcap2: Update LICENSE field version
>       libcroco: Update LICENSE field version
>       esound: Update LICENSE field version
>       faac: Update LICENSE field version
>       faad2: Update LICENSE field version
>       flac: Update LICENSE field version
>       libgcrypt: Update LICENSE field version
>       gdbm: Update LICENSE field version
>       libgpg-error: Update LICENSE field version
>       libical: Update LICENSE field version
>       libid3tag: Update LICENSE field version
>       libidl: Update LICENSE field version
>       libmad: Update LICENSE field version
>       libmodplug: Update LICENSE field version
>       lame: Update LICENSE field version
>       mpeg2dec: Update LICENSE field version
>       mysql5: Update LICENSE field version
>       libnl: Update LICENSE field version
>       libproxy: Update LICENSE field version
>       librsvg: Update LICENSE field version
>       libsamplerate0: Update LICENSE field version
>       schroedinger: Update LICENSE field version
>       libsdl: Update LICENSE field version
>       libsidplay: Update LICENSE field version
>       libsndfile1: Update LICENSE field version
>       libsocketcan: Update LICENSE field version
>       libsoup-2.4: Update LICENSE field version
>       libvisual: Update LICENSE field version
>       x264: Update LICENSE field version
>       libxv: Update LICENSE field version
>       lmbench: Update LICENSE field version
>       makedevs: Update LICENSE field version
>       nfs-utils: Update LICENSE field version
>       orbit2: Update LICENSE field version
>       pango: Update LICENSE field version
>       shared-mime-info: Update LICENSE field version
>       wireless-tools: Update LICENSE field version
>       gnome-common: Update LICENSE field version
>       cups: Update LICENSE field version
>       gnome-mime-data: Update LICENSE field version
>       gtk-doc: Update LICENSE field version
>       intltool: Update LICENSE field version
>       libart-lgpl: Update LICENSE field version
>       libdaemon: Update LICENSE field version
>       libdiscid: Update LICENSE field version
>       libglade: Update LICENSE field version
>       libmikmod: Update LICENSE field version
>       libmusicbrainz: Update LICENSE field version
>       neon: Update LICENSE field version
>       libnfnetlink: Update LICENSE field version
>       python-pycairo: Update LICENSE field version
>       python-pygobject: Update LICENSE field version
>       python-pygtk: Update LICENSE field version
>       time: Update LICENSE field version
> 
>  recipes/atk/atk_1.30.0.bb                          |    4 ++--
>  recipes/audiofile/audiofile_0.2.6.bb               |    4 ++--
>  recipes/avahi/avahi.inc                            |    4 ++--
>  recipes/bonnie/bonnie++.inc                        |    3 ++-
>  recipes/cairo/cairo_1.10.0.bb                      |    4 +++-
>  recipes/cups/cups_1.2.12.bb                        |    4 ++--
>  recipes/debianutils/debianutils.inc                |    4 ++--
>  recipes/esound/esound_0.2.36.bb                    |    4 ++--
>  recipes/faac/faac_1.24.bb                          |    4 ++--
>  recipes/faad2/faad2_2.7.bb                         |    4 +++-
>  recipes/flac/flac_1.2.1.bb                         |    4 +++-
>  recipes/gdbm/gdbm_1.8.3.bb                         |    4 ++--
>  recipes/gnome/gnome-common.inc                     |    2 +-
>  recipes/gnome/gnome-common_2.28.0.bb               |    2 ++
>  recipes/gnome/gnome-keyring_2.28.2.bb              |    4 ++--
>  recipes/gnome/gnome-mime-data_2.18.0.bb            |    4 ++--
>  recipes/gnome/gnome-vfs_2.24.1.bb                  |    4 ++--
>  recipes/gnome/libart-lgpl.inc                      |    4 ++--
>  recipes/gnome/libproxy_0.2.3.bb                    |    4 ++--
>  recipes/gnome/libsoup-2.4_2.32.2.bb                |    4 +++-
>  recipes/gnome/orbit2_2.14.17.bb                    |    4 ++++
>  recipes/gnutls/gnutls.inc                          |   10 +++++++---
>  recipes/gnutls/libtasn1_1.7.bb                     |    8 +++++---
>  recipes/gtk+/gtk+_2.20.1.bb                        |    4 +++-
>  recipes/gtk-doc/gtk-doc.bb                         |    4 ++--
>  .../hicolor-icon-theme/hicolor-icon-theme_0.11.bb  |    4 ++--
>  recipes/hostap/hostap-daemon-0.7.inc               |    2 +-
>  recipes/hostap/hostap-daemon_0.7.3.bb              |    2 +-
>  recipes/intltool/intltool.inc                      |    4 ++--
>  recipes/lame/lame_3.98.2.bb                        |    4 ++--
>  recipes/liba52/liba52_0.7.4.bb                     |    4 ++--
>  recipes/libcap/libcap2_2.20.bb                     |    4 ++--
>  recipes/libcroco/libcroco_0.6.2.bb                 |    4 +++-
>  recipes/libdaemon/libdaemon_0.13.bb                |    4 ++--
>  recipes/libdiscid/libdiscid.inc                    |    2 +-
>  recipes/libdiscid/libdiscid_0.2.2.bb               |    2 ++
>  recipes/libgcrypt/libgcrypt_1.4.1.bb               |    4 ++++
>  recipes/libglade/libglade_2.6.4.bb                 |    4 ++++
>  recipes/libgpg-error/libgpg-error_1.4.bb           |    4 +++-
>  recipes/libical/libical_0.44.bb                    |    4 ++--
>  recipes/libid3tag/libid3tag_0.15.1b.bb             |    4 ++--
>  recipes/libidl/libidl-native_0.8.13.bb             |    2 +-
>  recipes/libidl/libidl.inc                          |    2 +-
>  recipes/libidl/libidl_0.8.13.bb                    |    2 +-
>  recipes/libmad/libmad_0.15.1b.bb                   |    4 ++--
>  recipes/libmikmod/libmikmod_3.1.12.bb              |    4 ++--
>  recipes/libmodplug/libmodplug_0.8.7.bb             |    4 ++--
>  recipes/libnfnetlink/libnfnetlink_1.0.0.bb         |    4 +++-
>  recipes/libnl/libnl_2.0.bb                         |    5 ++++-
>  recipes/librsvg/librsvg_2.26.2.bb                  |    4 ++--
>  recipes/libsamplerate/libsamplerate0_0.1.7.bb      |    4 ++--
>  recipes/libsdl/libsdl-1.2.14.inc                   |    4 ++--
>  recipes/libsidplay/libsidplay_1.36.59.bb           |    4 ++--
>  recipes/libsndfile/libsndfile1_1.0.24.bb           |    4 ++--
>  recipes/libvisual/libvisual_0.4.0.bb               |    4 ++--
>  recipes/lmbench/lmbench_3.0-a9.bb                  |    4 ++--
>  recipes/makedevs/makedevs_1.0.0.bb                 |    4 ++--
>  recipes/mpeg2dec/mpeg2dec_0.4.0b.bb                |    4 ++--
>  recipes/musicbrainz/libmusicbrainz.inc             |    2 +-
>  recipes/musicbrainz/libmusicbrainz_3.0.2.bb        |    2 +-
>  recipes/mysql/mysql5_5.1.40.inc                    |    4 ++--
>  recipes/neon/neon_0.25.5.bb                        |    4 ++--
>  recipes/nfs-utils/nfs-utils_1.1.2.bb               |    4 ++--
>  recipes/pango/pango_1.24.4.bb                      |    4 +++-
>  recipes/python/python-pycairo_1.8.0.bb             |    4 ++--
>  recipes/python/python-pygobject_2.20.0.bb          |    4 ++--
>  recipes/python/python-pygtk_2.16.0.bb              |    4 ++--
>  recipes/schroedinger/schroedinger_1.0.9.bb         |    4 +++-
>  recipes/shared-mime-info/shared-mime-info_0.51.bb  |    4 +++-
>  recipes/socketcan/canutils.inc                     |    4 ++--
>  recipes/socketcan/libsocketcan.inc                 |    4 ++--
>  recipes/time/time.inc                              |    4 ++--
>  recipes/vlc/x264_r2245.bb                          |    4 ++--
>  recipes/wireless-tools/wireless-tools.inc          |    2 +-
>  recipes/wireless-tools/wireless-tools_29.bb        |    2 +-
>  recipes/xorg-lib/libxv_1.0.6.bb                    |    4 ++--
>  76 files changed, 168 insertions(+), 120 deletions(-)
> 
> _______________________________________________
> Openembedded-devel mailing list
> Openembedded-devel@lists.openembedded.org
> http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/openembedded-devel
chase maupin - May 17, 2012, 1:48 p.m.
> -----Original Message-----
> From: Denys Dmytriyenko [mailto:denis@denix.org]
> Sent: Monday, May 14, 2012 2:44 PM
> To: openembedded-devel@lists.openembedded.org
> Cc: Maupin, Chase
> Subject: Re: [oe] [2011.03-maintenance] Pull request 20120514
> 
> On Mon, May 14, 2012 at 01:09:40PM -0500, Chase Maupin wrote:
> > Tom,
> >
> > Please pull the following commits that update the LICENSE field
> to
> > list the actual license version for licenses like GPL and LGPL.
> These
> > patches have previously been sent to the list with each patch
> identifying
> > where it was derived from.  I have also submitted patches for
> oe-core where
> > appropriate.
> >
> > I'm looking for feedback on how to properly mark a package as
> having two
> > licenses in oe-classic since "&" causes issues.  If these
> patches are OK
> > then they can be pulled.  If there is a better way to mark the
> dual licensing
> > then I'll update them accordingly.
> 
> As far as I recall, we don't use "&" in oe-classic for dual
> licenses.
> 
> 
> > The following changes since commit
> 36a56cbb69cda0c89f478e01183d61c6a66525c9:
> >   Steffen Sledz (1):
> >         icedtea6-native-1.7.10: backport S7103224
> >
> > are available in the git repository at:
> >
> >   http://arago-project.org/git/projects/arago-oe-amsdk.git
> update-licenses
> 
> Also the same in different format:
> 
> Pull URL: git://arago-project.org/git/projects/arago-oe-amsdk.git
>   Branch: update-licenses
>   Browse: http://arago-project.org/git/projects/?p=arago-oe-
> amsdk.git;a=shortlog;h=refs/heads/update-licenses
> 
> 
> Acked-by: Denys Dmytriyenko <denys@ti.com>

Ping on this pull request.  Any issues?

> 
> 
> > Chase Maupin (69):
> >       gnutls: update LICENSE setting
> >       libtasn1: update LICENSE setting
> >       bonnie: Update LICENSE field version
> >       canutils: Update LICENSE field version
> >       debianutils: Update LICENSE field version
> >       gtk+: Update LICENSE field version for 2.20.1
> >       gnome-keyring: Update LICENSE field version
> >       gnome-vfs: Update LICENSE field version
> >       hicolor-icon-theme: Update LICENSE field version
> >       hostap-daemon: Update LICENSE field version
> >       liba52: Update LICENSE field version
> >       atk: Update LICENSE field version
> >       audiofile: Update LICENSE field version
> >       avahi: Update LICENSE field version
> >       cairo: Update LICENSE field version
> >       libcap2: Update LICENSE field version
> >       libcroco: Update LICENSE field version
> >       esound: Update LICENSE field version
> >       faac: Update LICENSE field version
> >       faad2: Update LICENSE field version
> >       flac: Update LICENSE field version
> >       libgcrypt: Update LICENSE field version
> >       gdbm: Update LICENSE field version
> >       libgpg-error: Update LICENSE field version
> >       libical: Update LICENSE field version
> >       libid3tag: Update LICENSE field version
> >       libidl: Update LICENSE field version
> >       libmad: Update LICENSE field version
> >       libmodplug: Update LICENSE field version
> >       lame: Update LICENSE field version
> >       mpeg2dec: Update LICENSE field version
> >       mysql5: Update LICENSE field version
> >       libnl: Update LICENSE field version
> >       libproxy: Update LICENSE field version
> >       librsvg: Update LICENSE field version
> >       libsamplerate0: Update LICENSE field version
> >       schroedinger: Update LICENSE field version
> >       libsdl: Update LICENSE field version
> >       libsidplay: Update LICENSE field version
> >       libsndfile1: Update LICENSE field version
> >       libsocketcan: Update LICENSE field version
> >       libsoup-2.4: Update LICENSE field version
> >       libvisual: Update LICENSE field version
> >       x264: Update LICENSE field version
> >       libxv: Update LICENSE field version
> >       lmbench: Update LICENSE field version
> >       makedevs: Update LICENSE field version
> >       nfs-utils: Update LICENSE field version
> >       orbit2: Update LICENSE field version
> >       pango: Update LICENSE field version
> >       shared-mime-info: Update LICENSE field version
> >       wireless-tools: Update LICENSE field version
> >       gnome-common: Update LICENSE field version
> >       cups: Update LICENSE field version
> >       gnome-mime-data: Update LICENSE field version
> >       gtk-doc: Update LICENSE field version
> >       intltool: Update LICENSE field version
> >       libart-lgpl: Update LICENSE field version
> >       libdaemon: Update LICENSE field version
> >       libdiscid: Update LICENSE field version
> >       libglade: Update LICENSE field version
> >       libmikmod: Update LICENSE field version
> >       libmusicbrainz: Update LICENSE field version
> >       neon: Update LICENSE field version
> >       libnfnetlink: Update LICENSE field version
> >       python-pycairo: Update LICENSE field version
> >       python-pygobject: Update LICENSE field version
> >       python-pygtk: Update LICENSE field version
> >       time: Update LICENSE field version
> >
> >  recipes/atk/atk_1.30.0.bb                          |    4 ++--
> >  recipes/audiofile/audiofile_0.2.6.bb               |    4 ++--
> >  recipes/avahi/avahi.inc                            |    4 ++--
> >  recipes/bonnie/bonnie++.inc                        |    3 ++-
> >  recipes/cairo/cairo_1.10.0.bb                      |    4 +++-
> >  recipes/cups/cups_1.2.12.bb                        |    4 ++--
> >  recipes/debianutils/debianutils.inc                |    4 ++--
> >  recipes/esound/esound_0.2.36.bb                    |    4 ++--
> >  recipes/faac/faac_1.24.bb                          |    4 ++--
> >  recipes/faad2/faad2_2.7.bb                         |    4 +++-
> >  recipes/flac/flac_1.2.1.bb                         |    4 +++-
> >  recipes/gdbm/gdbm_1.8.3.bb                         |    4 ++--
> >  recipes/gnome/gnome-common.inc                     |    2 +-
> >  recipes/gnome/gnome-common_2.28.0.bb               |    2 ++
> >  recipes/gnome/gnome-keyring_2.28.2.bb              |    4 ++--
> >  recipes/gnome/gnome-mime-data_2.18.0.bb            |    4 ++--
> >  recipes/gnome/gnome-vfs_2.24.1.bb                  |    4 ++--
> >  recipes/gnome/libart-lgpl.inc                      |    4 ++--
> >  recipes/gnome/libproxy_0.2.3.bb                    |    4 ++--
> >  recipes/gnome/libsoup-2.4_2.32.2.bb                |    4 +++-
> >  recipes/gnome/orbit2_2.14.17.bb                    |    4 ++++
> >  recipes/gnutls/gnutls.inc                          |   10
> +++++++---
> >  recipes/gnutls/libtasn1_1.7.bb                     |    8
> +++++---
> >  recipes/gtk+/gtk+_2.20.1.bb                        |    4 +++-
> >  recipes/gtk-doc/gtk-doc.bb                         |    4 ++--
> >  .../hicolor-icon-theme/hicolor-icon-theme_0.11.bb  |    4 ++--
> >  recipes/hostap/hostap-daemon-0.7.inc               |    2 +-
> >  recipes/hostap/hostap-daemon_0.7.3.bb              |    2 +-
> >  recipes/intltool/intltool.inc                      |    4 ++--
> >  recipes/lame/lame_3.98.2.bb                        |    4 ++--
> >  recipes/liba52/liba52_0.7.4.bb                     |    4 ++--
> >  recipes/libcap/libcap2_2.20.bb                     |    4 ++--
> >  recipes/libcroco/libcroco_0.6.2.bb                 |    4 +++-
> >  recipes/libdaemon/libdaemon_0.13.bb                |    4 ++--
> >  recipes/libdiscid/libdiscid.inc                    |    2 +-
> >  recipes/libdiscid/libdiscid_0.2.2.bb               |    2 ++
> >  recipes/libgcrypt/libgcrypt_1.4.1.bb               |    4 ++++
> >  recipes/libglade/libglade_2.6.4.bb                 |    4 ++++
> >  recipes/libgpg-error/libgpg-error_1.4.bb           |    4 +++-
> >  recipes/libical/libical_0.44.bb                    |    4 ++--
> >  recipes/libid3tag/libid3tag_0.15.1b.bb             |    4 ++--
> >  recipes/libidl/libidl-native_0.8.13.bb             |    2 +-
> >  recipes/libidl/libidl.inc                          |    2 +-
> >  recipes/libidl/libidl_0.8.13.bb                    |    2 +-
> >  recipes/libmad/libmad_0.15.1b.bb                   |    4 ++--
> >  recipes/libmikmod/libmikmod_3.1.12.bb              |    4 ++--
> >  recipes/libmodplug/libmodplug_0.8.7.bb             |    4 ++--
> >  recipes/libnfnetlink/libnfnetlink_1.0.0.bb         |    4 +++-
> >  recipes/libnl/libnl_2.0.bb                         |    5
> ++++-
> >  recipes/librsvg/librsvg_2.26.2.bb                  |    4 ++--
> >  recipes/libsamplerate/libsamplerate0_0.1.7.bb      |    4 ++--
> >  recipes/libsdl/libsdl-1.2.14.inc                   |    4 ++--
> >  recipes/libsidplay/libsidplay_1.36.59.bb           |    4 ++--
> >  recipes/libsndfile/libsndfile1_1.0.24.bb           |    4 ++--
> >  recipes/libvisual/libvisual_0.4.0.bb               |    4 ++--
> >  recipes/lmbench/lmbench_3.0-a9.bb                  |    4 ++--
> >  recipes/makedevs/makedevs_1.0.0.bb                 |    4 ++--
> >  recipes/mpeg2dec/mpeg2dec_0.4.0b.bb                |    4 ++--
> >  recipes/musicbrainz/libmusicbrainz.inc             |    2 +-
> >  recipes/musicbrainz/libmusicbrainz_3.0.2.bb        |    2 +-
> >  recipes/mysql/mysql5_5.1.40.inc                    |    4 ++--
> >  recipes/neon/neon_0.25.5.bb                        |    4 ++--
> >  recipes/nfs-utils/nfs-utils_1.1.2.bb               |    4 ++--
> >  recipes/pango/pango_1.24.4.bb                      |    4 +++-
> >  recipes/python/python-pycairo_1.8.0.bb             |    4 ++--
> >  recipes/python/python-pygobject_2.20.0.bb          |    4 ++--
> >  recipes/python/python-pygtk_2.16.0.bb              |    4 ++--
> >  recipes/schroedinger/schroedinger_1.0.9.bb         |    4 +++-
> >  recipes/shared-mime-info/shared-mime-info_0.51.bb  |    4 +++-
> >  recipes/socketcan/canutils.inc                     |    4 ++--
> >  recipes/socketcan/libsocketcan.inc                 |    4 ++--
> >  recipes/time/time.inc                              |    4 ++--
> >  recipes/vlc/x264_r2245.bb                          |    4 ++--
> >  recipes/wireless-tools/wireless-tools.inc          |    2 +-
> >  recipes/wireless-tools/wireless-tools_29.bb        |    2 +-
> >  recipes/xorg-lib/libxv_1.0.6.bb                    |    4 ++--
> >  76 files changed, 168 insertions(+), 120 deletions(-)
> >
> > _______________________________________________
> > Openembedded-devel mailing list
> > Openembedded-devel@lists.openembedded.org
> > http://lists.linuxtogo.org/cgi-
> bin/mailman/listinfo/openembedded-devel
Tom Rini - May 18, 2012, 11:13 p.m.
On Thu, May 17, 2012 at 01:48:05PM +0000, Maupin, Chase wrote:
> > -----Original Message-----
> > From: Denys Dmytriyenko [mailto:denis@denix.org]
> > Sent: Monday, May 14, 2012 2:44 PM
> > To: openembedded-devel@lists.openembedded.org
> > Cc: Maupin, Chase
> > Subject: Re: [oe] [2011.03-maintenance] Pull request 20120514
> > 
> > On Mon, May 14, 2012 at 01:09:40PM -0500, Chase Maupin wrote:
> > > Tom,
> > >
> > > Please pull the following commits that update the LICENSE field
> > to
> > > list the actual license version for licenses like GPL and LGPL.
> > These
> > > patches have previously been sent to the list with each patch
> > identifying
> > > where it was derived from.  I have also submitted patches for
> > oe-core where
> > > appropriate.
> > >
> > > I'm looking for feedback on how to properly mark a package as
> > having two
> > > licenses in oe-classic since "&" causes issues.  If these
> > patches are OK
> > > then they can be pulled.  If there is a better way to mark the
> > dual licensing
> > > then I'll update them accordingly.
> > 
> > As far as I recall, we don't use "&" in oe-classic for dual
> > licenses.
> > 
> > 
> > > The following changes since commit
> > 36a56cbb69cda0c89f478e01183d61c6a66525c9:
> > >   Steffen Sledz (1):
> > >         icedtea6-native-1.7.10: backport S7103224
> > >
> > > are available in the git repository at:
> > >
> > >   http://arago-project.org/git/projects/arago-oe-amsdk.git
> > update-licenses
> > 
> > Also the same in different format:
> > 
> > Pull URL: git://arago-project.org/git/projects/arago-oe-amsdk.git
> >   Branch: update-licenses
> >   Browse: http://arago-project.org/git/projects/?p=arago-oe-
> > amsdk.git;a=shortlog;h=refs/heads/update-licenses
> > 
> > 
> > Acked-by: Denys Dmytriyenko <denys@ti.com>
> 
> Ping on this pull request.  Any issues?

Since it's large I want to give folks the weekend to notice and comment
before I pull.  Thanks!
Paul Menzel - May 19, 2012, 8:58 a.m.
Dear Chase,


Am Montag, den 14.05.2012, 13:09 -0500 schrieb Chase Maupin:

> Please pull the following commits that update the LICENSE field to
> list the actual license version for licenses like GPL and LGPL.  These
> patches have previously been sent to the list with each patch identifying
> where it was derived from.  I have also submitted patches for oe-core where
> appropriate.
> 
> I'm looking for feedback on how to properly mark a package as having two
> licenses in oe-classic since "&" causes issues.  If these patches are OK
> then they can be pulled.  If there is a better way to mark the dual licensing
> then I'll update them accordingly.
> 
> The following changes since commit 36a56cbb69cda0c89f478e01183d61c6a66525c9:
>   Steffen Sledz (1):
>         icedtea6-native-1.7.10: backport S7103224
> 
> are available in the git repository at:
> 
>   http://arago-project.org/git/projects/arago-oe-amsdk.git update-licenses
> 
> Chase Maupin (69):
>       gnutls: update LICENSE setting

I would have liked to have split those up. Update the license and add
the inherit line.

>       libtasn1: update LICENSE setting
>       bonnie: Update LICENSE field version

It would have been great to have the changed license in the commit
message also.

[…]

>       schroedinger: Update LICENSE field version

A change in `schroedinger.inc` is preferred in my opinion.

[…]


Thanks,

Paul
chase maupin - May 21, 2012, 1:53 p.m.
> -----Original Message-----

> From: Paul Menzel [mailto:paulepanter@users.sourceforge.net]

> Sent: Saturday, May 19, 2012 3:59 AM

> To: openembedded-devel@lists.openembedded.org

> Cc: Maupin, Chase

> Subject: Re: [oe] [2011.03-maintenance] Pull request 20120514

> 

> Dear Chase,

> 

> 

> Am Montag, den 14.05.2012, 13:09 -0500 schrieb Chase Maupin:

> 

> > Please pull the following commits that update the LICENSE field

> to

> > list the actual license version for licenses like GPL and LGPL.

> These

> > patches have previously been sent to the list with each patch

> > identifying where it was derived from.  I have also submitted

> patches

> > for oe-core where appropriate.

> >

> > I'm looking for feedback on how to properly mark a package as

> having

> > two licenses in oe-classic since "&" causes issues.  If these

> patches

> > are OK then they can be pulled.  If there is a better way to

> mark the

> > dual licensing then I'll update them accordingly.

> >

> > The following changes since commit

> 36a56cbb69cda0c89f478e01183d61c6a66525c9:

> >   Steffen Sledz (1):

> >         icedtea6-native-1.7.10: backport S7103224

> >

> > are available in the git repository at:

> >

> >   http://arago-project.org/git/projects/arago-oe-amsdk.git

> > update-licenses

> >

> > Chase Maupin (69):

> >       gnutls: update LICENSE setting

> 

> I would have liked to have split those up. Update the license and

> add the inherit line.


I'll split this up then and regenerate the patch set.

> 

> >       libtasn1: update LICENSE setting

> >       bonnie: Update LICENSE field version

> 

> It would have been great to have the changed license in the

> commit message also.

> 

> […]

> 

> >       schroedinger: Update LICENSE field version

> 

> A change in `schroedinger.inc` is preferred in my opinion.


I didn't change the .inc because I did not validate all versions of schroedinger.

> 

> […]

> 

> 

> Thanks,

> 

> Paul
Paul Menzel - May 21, 2012, 2:26 p.m.
Am Montag, den 21.05.2012, 13:53 +0000 schrieb Maupin, Chase:
> > -----Original Message-----
> > From: Paul Menzel [mailto:paulepanter@users.sourceforge.net]
> > Sent: Saturday, May 19, 2012 3:59 AM

[…]

> > > Chase Maupin (69):
> > >       gnutls: update LICENSE setting
> > 
> > I would have liked to have split those up. Update the license and
> > add the inherit line.
> 
> I'll split this up then and regenerate the patch set.

If that patch set has already been submitted to meta-oe this way, please
do not spent your time doing that. If it is independent from meta-oe
please do so.

> > >       libtasn1: update LICENSE setting
> > >       bonnie: Update LICENSE field version
> > 
> > It would have been great to have the changed license in the
> > commit message also.
> > 
> > […]
> > 
> > >       schroedinger: Update LICENSE field version
> > 
> > A change in `schroedinger.inc` is preferred in my opinion.
> 
> I didn't change the .inc because I did not validate all versions of schroedinger.

Understood.


Thanks,

Paul
chase maupin - May 21, 2012, 2:28 p.m.
> -----Original Message-----

> From: openembedded-devel-bounces@lists.openembedded.org

> [mailto:openembedded-devel-bounces@lists.openembedded.org] On

> Behalf Of Paul Menzel

> Sent: Monday, May 21, 2012 9:26 AM

> To: openembedded-devel@lists.openembedded.org

> Subject: Re: [oe] [2011.03-maintenance] Pull request 20120514

> 

> Am Montag, den 21.05.2012, 13:53 +0000 schrieb Maupin, Chase:

> > > -----Original Message-----

> > > From: Paul Menzel [mailto:paulepanter@users.sourceforge.net]

> > > Sent: Saturday, May 19, 2012 3:59 AM

> 

> […]

> 

> > > > Chase Maupin (69):

> > > >       gnutls: update LICENSE setting

> > >

> > > I would have liked to have split those up. Update the license

> and

> > > add the inherit line.

> >

> > I'll split this up then and regenerate the patch set.

> 

> If that patch set has already been submitted to meta-oe this way,

> please do not spent your time doing that. If it is independent

> from meta-oe please do so.


Already done :)  Also updated the license in the commit message (as much as I could fit)

> 

> > > >       libtasn1: update LICENSE setting

> > > >       bonnie: Update LICENSE field version

> > >

> > > It would have been great to have the changed license in the

> commit

> > > message also.

> > >

> > > […]

> > >

> > > >       schroedinger: Update LICENSE field version

> > >

> > > A change in `schroedinger.inc` is preferred in my opinion.

> >

> > I didn't change the .inc because I did not validate all

> versions of schroedinger.

> 

> Understood.

> 

> 

> Thanks,

> 

> Paul